Page MenuHomePhabricator

[libcxx][ranges] Add `ranges::empty_view`.
ClosedPublic

Authored by zoecarver on May 26 2021, 2:40 PM.

Details

Reviewers
ldionne
Quuxplusone
cjdb
Group Reviewers
Restricted Project
Commits
rGd31a2e7554ea: [libcxx][ranges] Add `ranges::empty_view`.

Diff Detail

Event Timeline

zoecarver created this revision.May 26 2021, 2:40 PM
zoecarver requested review of this revision.May 26 2021, 2:40 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 26 2021, 2:40 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript
cjdb added a comment.May 26 2021, 3:02 PM

Please add iterator and range conformance tests. Will LGTM after that.

LGTM modulo the open review comments.

libcxx/include/__ranges/empty_view.h
3

Update or remove the filename.

ldionne accepted this revision.Jun 2 2021, 2:17 PM

LGTM pending CI and other review comments.

libcxx/include/__ranges/empty_view.h
3

Please remove.

This revision is now accepted and ready to land.Jun 2 2021, 2:17 PM
zoecarver updated this revision to Diff 349677.Jun 3 2021, 1:57 PM
  • Rebase
  • Remove comment
  • Add conformance tests
libcxx/test/std/ranges/range.adaptors/range.empty/empty_view.pass.cpp
26

@cjdb are these good or did you want any others?

This revision was automatically updated to reflect the committed changes.